Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Protected Attributes
tesseract::SearchObject Class Reference

`#include <search_object.h>`

Inheritance diagram for tesseract::SearchObject:

List of all members.

## Public Member Functions

| SearchObject (CubeRecoContext *cntxt)
virtual | ~SearchObject ()
virtual int | SegPtCnt ()=0
virtual CharAltList * | RecognizeSegment (int start_pt, int end_pt)=0
virtual CharSamp * | CharSample (int start_pt, int end_pt)=0
virtual Box * | CharBox (int start_pt, int end_pt)=0
virtual int | SpaceCost (int seg_pt)=0
virtual int | NoSpaceCost (int seg_pt)=0
virtual int | NoSpaceCost (int start_pt, int end_pt)=0

## Protected Attributes

CubeRecoContext * | cntxt_

## Detailed Description

Definition at line 36 of file search_object.h.

## Constructor & Destructor Documentation

tesseract::SearchObject::SearchObject | ( | CubeRecoContext * | cntxt | ) |

inlineexplicit

Definition at line 38 of file search_object.h.

{ cntxt_ = cntxt; }

virtual tesseract::SearchObject::~SearchObject | ( |  | ) |

inlinevirtual

Definition at line 39 of file search_object.h.

{}

## Member Function Documentation

virtual Box* tesseract::SearchObject::CharBox | ( | int | start_pt,
|  | int | end_pt
| ) |  |

pure virtual

Implemented in tesseract::CubeSearchObject.

virtual CharSamp* tesseract::SearchObject::CharSample | ( | int | start_pt,
|  | int | end_pt
| ) |  |

pure virtual

Implemented in tesseract::CubeSearchObject.

virtual int tesseract::SearchObject::NoSpaceCost | ( | int | seg_pt | ) |

pure virtual

Implemented in tesseract::CubeSearchObject.

virtual int tesseract::SearchObject::NoSpaceCost | ( | int | start_pt,
|  | int | end_pt
| ) |  |

pure virtual

Implemented in tesseract::CubeSearchObject.

virtual CharAltList* tesseract::SearchObject::RecognizeSegment | ( | int | start_pt,
|  | int | end_pt
| ) |  |

pure virtual

Implemented in tesseract::CubeSearchObject.

virtual int tesseract::SearchObject::SegPtCnt | ( |  | ) |

pure virtual

Implemented in tesseract::CubeSearchObject.

virtual int tesseract::SearchObject::SpaceCost | ( | int | seg_pt | ) |

pure virtual

Implemented in tesseract::CubeSearchObject.

## Member Data Documentation

CubeRecoContext* tesseract::SearchObject::cntxt_

protected

Definition at line 51 of file search_object.h.

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/cube/search_object.h